# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/10/31
@desc: 一些资源初始化
"""

import os

from commom import f_get_datetime
from config import BaseConfig

__all__ = ['f_get_save_path']

save_path = os.path.join(BaseConfig.train_path, f"{f_get_datetime()}")
os.makedirs(save_path, exist_ok=True)


def f_get_save_path(file_name: str) -> str:
    path = os.path.join(save_path, file_name)
    return path


if __name__ == "__main__":
    pass
